import { EventEmitter } from '../../stencil-public-runtime';
import { TreeConfig } from '../../models/treeNav';
export declare class UxplTreeNav {
  el: HTMLElement;
  config: TreeConfig[];
  selectParentById: string;
  selectionKey: string;
  selectionKeyDelimitter: string;
  idAttribute: string;
  expanded: boolean;
  uxplSelection: EventEmitter<string>;
  handleSelectParentByIdChange(newValue: string, oldValue: string): void;
  expand(expand: boolean, e: Event): void;
  render(): any;
}
